How can I setup dependencies for Axis2 / Axiom on Maven2

Posted by ronaldocpontes on Stack Overflow See other posts from Stack Overflow or by ronaldocpontes
Published on 2010-02-05T11:07:05Z Indexed on 2010/03/31 2:03 UTC
Read the original article Hit count: 1126

Filed under:
|
|

I've tried the following settings on pom.xml to use Axis2 wsdl2code:

<dependencies>
  <dependency>
   <groupId>org.apache.axis2</groupId>
   <artifactId>axis2</artifactId>
   <version>1.5.1</version>
  </dependency>
</dependencies>
...

<build>
  <plugins>
    <plugin>
      <groupId>org.apache.axis2</groupId>
      <artifactId>axis2-wsdl2code-maven-plugin</artifactId>
      <version>1.5.1</version>
      <executions>
        <execution>
          <goals>
            <goal>wsdl2code</goal>
          </goals>
          <configuration>
            <packageName>com.site.package</packageName> 
            <wsdlFile>http://www.site.com/api/v2_soap?wsdl=1</wsdlFile>
            <databindingName>xmlbeans</databindingName> 
          </configuration>
        </execution>
      </executions>
    </plugin>
    ...
  </plugins>
  ...
</build>

Whenever I run mvn clean, I get the following warnings with a ClassNotFoundException showing no signs of org.apache.axiom.

[WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.codehaus.plexus:plexus-utils:pom:1.4.9:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.codehaus.plexus:plexus-utils at C:\Users\Ronaldo.m2\repository\org\codehaus\plexus\plexus-utils\1.4.9\plexus-utils-1.4.9.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.maven:maven-plugin-api:pom:2.0.7:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.maven:maven-plugin-api at C:\Users\Ronaldo.m2\repository\org\apache\maven\maven-plugin-api\2.0.7\maven-plugin-api-2.0.7.pom [WARNING] POM for 'org.apache.maven:maven-artifact:pom:2.0.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.maven:maven-artifact at C:\Users\Ronaldo.m2\repository\org\apache\maven\maven-artifact\2.0.8\maven-artifact-2.0.8.pom [WARNING] POM for 'org.apache.maven:maven-project:pom:2.0.7:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.maven:maven-project at C:\Users\Ronaldo.m2\repository\org\apache\maven\maven-project\2.0.7\maven-project-2.0.7.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.geronimo.specs:geronimo-stax-api_1.0_spec at C:\Users\Ronaldo.m2\repository\org\apache\geronimo\specs\geronimo-stax-api_1.0_spec\1.0.1\geronimo-stax-api_1.0_spec-1.0.1.pom [WARNING] POM for 'commons-io:commons-io:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project commons-io:commons-io at C:\Users\Ronaldo.m2\repository\commons-io\commons-io\1.4\commons-io-1.4.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-api:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-api at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-api\1.2.8\axiom-api-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-impl:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-impl at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-impl\1.2.8\axiom-impl-1.2.8.pom [WARNING] POM for 'org.apache.ws.commons.axiom:axiom-dom:pom:1.2.8:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache.ws.commons.axiom:axiom-dom at C:\Users\Ronaldo.m2\repository\org\apache\ws\commons\axiom\axiom-dom\1.2.8\axiom-dom-1.2.8.pom [WARNING] POM for 'javax.mail:mail:pom:1.4:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project javax.mail:mail at C:\Users\Ronaldo.m2\repository\javax\mail\mail\1.4\mail-1.4.pom [WARNING] POM for 'xalan:xalan:pom:2.7.0:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project xalan:xalan at C:\Users\Ronaldo.m2\repository\xalan\xalan\2.7.0\xalan-2.7.0.pom [WARNING] POM for 'org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:pom:1.0.1:runtime' is invalid. It will be ignored for artifact resolution. Reason: Not a v4.0.0 POM. for project org.apache

© Stack Overflow or respective owner

Related posts about maven-2

Related posts about axis2